Index: src/Actions/SelectionAction/Atoms/AllAtomsAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/AllAtomsAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -39,7 +39,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionAllAtomsAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   std::vector<atom *> selectedAtoms = World::getInstance().getSelectedAtoms();
   LOG(1, "Selecting all atoms.");
Index: src/Actions/SelectionAction/Atoms/AllAtomsInsideCuboidAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsInsideCuboidAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/AllAtomsInsideCuboidAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -47,7 +47,4 @@
   RealSpaceMatrix RotationMatrix;
 
-  // obtain information
-  getParametersfromValueStorage();
-
   RotationMatrix.setRotation(params.Xangle, params.Yangle, params.Zangle);
 
Index: src/Actions/SelectionAction/Atoms/AllAtomsInsideSphereAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsInsideSphereAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/AllAtomsInsideSphereAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -44,7 +44,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionAllAtomsInsideSphereAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   LOG(1, "Selecting all atoms inside a sphere at " << params.position << " with radius " << params.radius << ".");
   Shape s = translate(resize(Sphere(),params.radius),params.position);
Index: src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -41,7 +41,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionAllAtomsOfMoleculeAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   LOG(1, "Selecting all atoms of currently selected molecule.");
   std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection());
Index: src/Actions/SelectionAction/Atoms/AtomByElementAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AtomByElementAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/AtomByElementAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -41,7 +41,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionAtomByElementAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   LOG(1, "Selecting atoms of type " << *params.elemental);
   std::vector<atom *> selectedAtoms = World::getInstance().getAllAtoms(AtomsBySelection());
Index: src/Actions/SelectionAction/Atoms/AtomByIdAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AtomByIdAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/AtomByIdAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -38,7 +38,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionAtomByIdAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   const atom *Walker = World::getInstance().getAtom(AtomById(params.WalkerId));
   if (Walker != NULL) {
Index: src/Actions/SelectionAction/Atoms/AtomByOrderAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/AtomByOrderAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/AtomByOrderAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -39,7 +39,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionAtomByOrderAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   const atom *Walker = World::getInstance().getAtom(AtomByOrder(params.order));
   if (Walker != NULL) {
Index: src/Actions/SelectionAction/Atoms/ClearAllAtomsAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/ClearAllAtomsAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/ClearAllAtomsAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -39,7 +39,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionClearAllAtomsAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   std::vector<atom *> selectedAtoms = World::getInstance().getSelectedAtoms();
   LOG(1, "Clearing atoms selection.");
Index: src/Actions/SelectionAction/Atoms/InvertAtomsAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/InvertAtomsAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/InvertAtomsAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -40,7 +40,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionInvertAtomsAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   LOG(1, "Inverting atom selection.");
 
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -39,7 +39,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionNotAllAtomsAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   std::vector<atom *> selectedAtoms = World::getInstance().getSelectedAtoms();
   LOG(1, "Unselecting all atoms.");
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsInsideCuboidAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsInsideCuboidAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsInsideCuboidAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -46,7 +46,4 @@
 Action::state_ptr SelectionNotAllAtomsInsideCuboidAction::performCall() {
   RealSpaceMatrix RotationMatrix;
-
-  // obtain information
-  getParametersfromValueStorage();
   RotationMatrix.setRotation(params.Xangle, params.Yangle, params.Zangle);
 
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsInsideSphereAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsInsideSphereAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsInsideSphereAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -44,7 +44,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionNotAllAtomsInsideSphereAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   LOG(1, "Unselecting all atoms inside a sphere at " << params.position << " with radius " << params.radius << ".");
   Shape s = translate(resize(Sphere(),params.radius),params.position);
Index: src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -41,7 +41,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionNotAllAtomsOfMoleculeAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   LOG(1, "Unselecting all atoms of currently selected molecules.");
   std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms(!AtomsBySelection());
Index: src/Actions/SelectionAction/Atoms/NotAtomByElementAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAtomByElementAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/NotAtomByElementAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -41,7 +41,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionNotAtomByElementAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   LOG(1, "Unselecting atoms of type " << *params.elemental);
   std::vector<atom *> unselectedAtoms = World::getInstance().getAllAtoms(!AtomsBySelection());
Index: src/Actions/SelectionAction/Atoms/NotAtomByIdAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAtomByIdAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/NotAtomByIdAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -38,7 +38,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionNotAtomByIdAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   const atom * Walker = World::getInstance().getAtom(AtomById(params.WalkerId));
   if (Walker != NULL) {
Index: src/Actions/SelectionAction/Atoms/NotAtomByOrderAction.cpp
===================================================================
--- src/Actions/SelectionAction/Atoms/NotAtomByOrderAction.cpp	(revision ebc499bb1355679f4fc65d57497f95261d93f328)
+++ src/Actions/SelectionAction/Atoms/NotAtomByOrderAction.cpp	(revision be21faee0c27bbf2439e848bacfe01d94e55d9e0)
@@ -39,7 +39,4 @@
 /** =========== define the function ====================== */
 Action::state_ptr SelectionNotAtomByOrderAction::performCall() {
-  // obtain information
-  getParametersfromValueStorage();
-
   const atom * Walker = World::getInstance().getAtom(AtomByOrder(params.order));
   if (Walker != NULL) {
